Parameters

user
dictionary
uuid
string
Required
Description
Unique device or anonymous session identifier used to create or replace the current session.
mobile
string
Required
Description
Registered mobile number for the user account.
dial_code
string
Required
Description
Country dial code for the mobile number, without the `+` sign.
password
string
Required
Description
Account password.
type
string
Required
Description
User role to log in as, for example `customer`.
auth_type
number
Description
Optional auth flow override. Use `3` for Mobile & Password when overriding the tenant default.
token
string
Description
TOTP code required only when MFA is enabled for the user account.
POST/v1/users/login
curl https://api.tradly.app/v1/users/login \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -X POST \
  -d '{
  "user": {
    "uuid": "22607f28-815f-4448-a66d-333a755f932b",
    "mobile": "7700900493",
    "dial_code": "44",
    "password": "123123@@!",
    "type": "customer"
  }
}'
RESPONSE
{
  "status": true,
  "data": {
    "user": {
      "id": "692ee113-310b-4e66-b5b5-33796f9616e3",
      "first_name": "Charles",
      "last_name": "Pearson",
      "email": "your_name@example.com",
      "profile_pic": "",
      "email_verified": true,
      "key": {
        "auth_key": "<AUTH_KEY>",
        "refresh_key": "<REFRESH_KEY>"
      }
    }
  }
}